Subject: Re: gdb trouble
From: "vipin aravind" <[email-masked]>
To: "Corinna Vinschen" <[email-masked]>
Date: Wed, 21 Nov 2001 10:14:43 +0530

I  had  been using  softice  debugger  on windows  which  is from
mega(  and  it understands pdb  format)  and  how   do they know  the
format?
I  think  it  would  be documented.
vipin
----- Original Message -----
From: "Corinna Vinschen" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, November 20, 2001 7:35 PM
Subject: Re: gdb trouble

> On Tue, Nov 20, 2001 at 05:43:22AM -0800, Katherina O'Connor wrote:
> > ... ".pch" is a suffix for "pre-compiled" header
> > files, a feature which is optionally, having
> > nothing to do with debug. MSVC can generate debug
>
> Sorry, I meant the .pdb files or whatever the extension is.  The
> format of these files is nowhere documented.
>
> > information either in a MS format or COFF. Not
> > "understanding" COFF is a problem of gdb
> > and not of MSVC.
>
> gdb understands coff but isn't that only generated by VC when
> giving some special option?  I don't have VC installed anywhere.
>
> Corinna
>
> --
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                                mailto:[email-masked]
> Red Hat, Inc.
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/